play.data.binding

## Interface TypeUnbinder<T>

- Type Parameters:
    `T` - Type of the unbinder
  All Known Implementing Classes:
    As.DEFAULT

      public interface TypeUnbinder<T>

  Supported type for unbinding. This interface is used to implement custom unbinders.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `unBind(java.util.Map<java.lang.String,java.lang.Object> result, java.lang.Object src, java.lang.Class<?> srcClazz, java.lang.String name, java.lang.annotation.Annotation[] annotations)`

- - ### Method Detail

    - #### unBind

          boolean unBind(java.util.Map<java.lang.String,java.lang.Object> result,
                         java.lang.Object src,
                         java.lang.Class<?> srcClazz,
                         java.lang.String name,
                         java.lang.annotation.Annotation[] annotations)
                  throws java.lang.Exception

      Parameters:
        `result` - The result container
        `src` - the object you want to unbind
        `srcClazz` - The class of the object you want to associate the value with
        `name` - the name of you parameter ie myparam for a simple param but can also be a complex one : mybean.address.street
        `annotations` - An array of annotation that may be bound to your method parameter or your bean property
      Returns:
        true if unwinder is successful, otherwise false and will use the default unbinder
      Throws:
        `java.lang.Exception` - if problem occurred

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly